Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Toute la communauté vous remercie

[Plugin Tiers][Sujet Principal] Dash Button Amazon

Pour échanger sur les plugins classés en catégorie "Objets connectés"
Syd964
Timide
Messages : 8
Inscription : 21 févr. 2018, 15:57

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Syd964 » 20 juin 2018, 08:37

Syd964 a écrit :
20 juin 2018, 08:01
Syd964 a écrit :
18 juin 2018, 14:49
lunarok a écrit :
17 juin 2018, 17:55
C'est une smart apparemment, problème déjà évoqué sur le forum. Il faut être dans la dernière version du core, si le pb persiste voir avec le support du core

Envoyé de mon ONEPLUS A5010 en utilisant Tapatalk
Merci pour la réponse. Je suis bien en dernière version 3.2.8.
Je vois avec le support et je reviens donner les infos.

Merci
Bonjour,

Pour faire suite au message, j'étais bien en version 3.2.8 mais nodejs n'était pas installé. J'ai contacté le support du core qui m'a dépanné. De ce coté tout est OK puisque les dépendances se lancent, mais le plugin ne fonctionne pas suite à une erreur d'installation. PCAP Failed.

Merci pour votre aide.

Ci dessous mon log :

Bonjour @lunarock,

Je n'arrive pas à installer le plug-in.
Au début j'avais un problème avec nodejs qui n'était pas installé.
Maintenant que les dépendances se lancent, le démon refuse de le faire.
Mon log est le suivant, avec une installation failed pour PCAP.

J'ai suivi un post qui indiquait de saisir en ligne de commande :
sudo apt-get install libpcap-dev
npm install --save dash-button

Mais rien de nouveau.
Merci pour votre aide.

Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function 'static void SocketWatcher::Callback(uv_poll_t*, int, int)':
../socket_watcher.cpp:77:60: warning: 'v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)' is deprecated (declared at ../../nan/nan.h:929) [-Wdeprecated-declarations]
Nan::MakeCallback(watcher->handle(), callback, argc, argv);
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
../pcap_binding.cc:2:23: fatal error: pcap/pcap.h: No such file or directory
#include <pcap/pcap.h>
^
compilation terminated.
pcap_binding.target.mk:94: recipe for target 'Release/obj.target/pcap_binding/pcap_binding.o' failed
make: *** [Release/obj.target/pcap_binding/pcap_binding.o] Error 1
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:258:23)
gyp ERR! stack at emitTwo (events.js:126:13)
gyp ERR! stack at ChildProcess.emit (events.js:214:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Linux 3.14.79-94
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /var/www/html/plugins/dashbutton/resources/node_modules/pcap
gyp ERR! node -v v8.9.4
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! pcap@2.0.0 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the pcap@2.0.0 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm ERR! A complete log of this run can be found in:
npm ERR! /var/www/.npm/_logs/2018-06-19T17_25_22_971Z-debug.log
Fin de l'installation
Voici la réponse trouvée sur le Forum, j'ai longtemps galéré pour la faire fonctionner mais ça a fini par marcher :
Avec Putty en ligne de commande et en root, j'ai lancé :
sudo apt-get install libpcap-dev
Tout semble OK

ownleex
Timide
Messages : 370
Inscription : 22 avr. 2016, 13:51
Localisation : Alpes-Maritimes

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par ownleex » 28 juin 2018, 13:34

Merci, j’avais le même problème sur pi3 avec core en 3.2.9, la commande : sudo apt-get install libpcap-dev a tout débloqué
Rpi3 sur SSD, Rfxcom, stick Zwave+, clé Bluetooth, plugin Hue et netatmo

PHDB
Timide
Messages : 254
Inscription : 01 mars 2016, 13:42

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par PHDB » 29 juin 2018, 23:37

Bonjour,

J'ai un peu laisse mon probleme de Demon NOK depuis un bon moment, mais je m'y remet maintenant.
Dependances OK

Le log dashbutton_dep me dit

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 142 not upgraded.
--2018-06-29 20:28:11--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.84.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.84.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1458 (1.4K) [text/plain]
Saving to: ‘dependencies.sh’
0K .                                                     100% 4.07M=0s
2018-06-29 20:28:11 (4.07 MB/s) - ‘dependencies.sh’ saved [1458/1458]
Version actuelle : 8
Get:1 http://security.debian.org jessie/updates InRelease [44.9 kB]
Get:2 https://deb.nodesource.com jessie InRelease [4,646 B]
Ign http://http.us.debian.org jessie InRelease
Ign http://httpredir.debian.org jessie InRelease
Get:3 http://httpredir.debian.org jessie-updates InRelease [145 kB]
Get:4 http://http.us.debian.org jessie Release.gpg [2,420 B]
Get:5 http://http.us.debian.org jessie Release [148 kB]
Get:6 http://httpredir.debian.org jessie Release.gpg [2,420 B]
Hit https://deb.nodesource.com jessie/main Sources
Get:7 https://repo.solid-build.xyz ./ InRelease [354 B]
Ign https://repo.solid-build.xyz ./ InRelease
Get:8 http://httpredir.debian.org jessie Release [148 kB]
Get:9 https://deb.nodesource.com jessie/main armhf Packages [1,003 B]
Hit https://repo.solid-build.xyz ./ Release.gpg
Get:10 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:11 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:12 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:14 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:15 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:16 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Get:17 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:18 http://security.debian.org jessie/updates/main Sources [226 kB]
Hit https://repo.solid-build.xyz ./ Release
Get:19 https://deb.nodesource.com jessie/main Translation-en_US [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en_US
Get:20 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:21 http://security.debian.org jessie/updates/main armhf Packages [449 kB]
Hit http://httpredir.debian.org jessie-updates/main Sources
Get:22 http://security.debian.org jessie/updates/main Translation-en [258 kB]
Get:23 http://httpredir.debian.org jessie-updates/main armhf Packages/DiffIndex [11.8 kB]
Get:24 http://http.us.debian.org jessie/non-free armhf Packages [62.5 kB]
Get:25 http://httpredir.debian.org jessie-updates/main Translation-en/DiffIndex [3,688 B]
Hit https://repo.solid-build.xyz ./ Sources
Get:26 http://httpredir.debian.org jessie/main Sources [7,063 kB]
Hit https://repo.solid-build.xyz ./ Packages
Get:27 http://http.us.debian.org jessie/non-free Translation-en [72.0 kB]
Get:28 https://repo.solid-build.xyz ./ Translation-en_US [354 B]
Get:29 https://repo.solid-build.xyz ./ Translation-en [351 B]
Get:30 https://repo.solid-build.xyz ./ Translation-en_US [354 B]
Get:31 https://repo.solid-build.xyz ./ Translation-en [351 B]
Get:32 https://repo.solid-build.xyz ./ Translation-en_US [354 B]
Get:33 https://repo.solid-build.xyz ./ Translation-en [351 B]
Get:34 https://repo.solid-build.xyz ./ Translation-en_US [354 B]
Get:35 https://repo.solid-build.xyz ./ Translation-en [351 B]
Get:36 https://repo.solid-build.xyz ./ Translation-en_US [354 B]
Ign https://repo.solid-build.xyz ./ Translation-en_US
Get:37 https://repo.solid-build.xyz ./ Translation-en [351 B]
Ign https://repo.solid-build.xyz ./ Translation-en
Get:38 http://httpredir.debian.org jessie/main armhf Packages [6,675 kB]
Get:39 http://httpredir.debian.org jessie/main Translation-en [4,581 kB]
Fetched 19.9 MB in 41s (482 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 150 not upgraded.
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function ‘static void SocketWatcher::Callback(uv_poll_t*, int, int)’:
../socket_watcher.cpp:77:60: warning: ‘v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)’ is deprecated (declared at ../../../../nan/nan.h:929) [-Wdeprecated-declarations]
Nan::MakeCallback(watcher->handle(), callback, argc, argv);
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
CXX(target) Release/obj.target/pcap_binding/pcap_session.o
../pcap_session.cc: In static member function ‘static void PcapSession::PacketReady(u_char*, const pcap_pkthdr*, const u_char*)’:
../pcap_session.cc:85:102: warning: ‘v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)’ is deprecated (declared at ../../nan/nan.h:929) [-Wdeprecated-declarations]
Nan::MakeCallback(Nan::GetCurrentContext()->Global(), Nan::New(session->packet_ready_cb), 0, NULL);
^
SOLINK_MODULE(target) Release/obj.target/pcap_binding.node
COPY Release/pcap_binding.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
added 50 packages in 105.139s
rm: cannot remove ‘/tmp/dashbutton_dep’: No such file or directory
Fin de l'installation
QUant a dashbutton_node, il est rempli de

Code : Tout sélectionner

module.js:341
throw err;
^
Error: Cannot find module 'node-dash-button'
at Function.Module._resolveFilename (module.js:339:15)
at Function.Module._load (module.js:290:25)
at Module.require (module.js:367:17)
at require (internal/module.js:20:19)
at Object.<anonymous> (/var/www/html/plugins/dashbutton/resources/dashbutton.js:1:81)
at Module._compile (module.js:413:34)
at Object.Module._extensions..js (module.js:422:10)
at Module.load (module.js:357:32)
at Function.Module._load (module.js:314:12)
at Function.Module.runMain (module.js:447:10)
J'ai essayé la commande magique, mais inutile...

Code : Tout sélectionner

~$ sudo apt-get install libpcap-dev
[sudo] password for debian:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 150 not upgraded.
Je suis sur Mini+ en 3.2.8. J'ai 2 Dashbutton ajoutés et qui ont deja marché sur une version precedente Jeedom, avant que ma carte SD ne crame. Depuis ma reinstall, pas moyen de les faire marcher
Une idee svp?
Merci

Avatar de l’utilisateur
Jeandhom
Actif
Messages : 943
Inscription : 20 oct. 2015, 17:32

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jeandhom » 30 juin 2018, 10:15

Je ne sais pas si cela résoudra ton problème, mais ton OS Debian jessie n'est pas à jour, tu as 150 paquets à mettre à jour dont potentiellement certains sont buggés.

Pour mettre à jour : sudo apt-get update && apt-get upgrade

Fraborak
Timide
Messages : 12
Inscription : 06 mars 2018, 17:38

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Fraborak » 02 août 2018, 17:42

Salut,

je ne sais pas si cela a été dis mais la sauvegarde restauration de jeedom ne sauve pas les icones (ni cella de base, ni cella ajouté)

J'ai essayé de reinstaller les dépendances mais sans resultat

du coup, auriez vous un petit pack de fichier d'icone ? (ce serait pas bete de se le partager de toute façon !)

a+

Avatar de l’utilisateur
Fabrice
Actif
Messages : 2279
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Fabrice » 08 août 2018, 10:43

Bonjour,

Certainement du au fait que les images sont dans un dossier DOC.

Dans ce cas, il faut réinstaller le plugin sur lui même.
- Vous pouvez le faire depuis le centre de mise à jour de Jeedom, directement sur la ligne du plugin, bouton [Réinstaller].
Raspberry PI 3 B+ : Jeedom 3.2.11 + 21 plugins
Dongle Z-Wave : AEOTEC AEOEZW090-C (5 périphériques)
Passerelle 433 : RFXCOM-RFXtrx433E (FW 1024) (22 périphériques)
BLEA : Sena UD100-G3 / Raspberry PI Zero W : 4 Nut Find3

Morlock
Timide
Messages : 452
Inscription : 24 juin 2014, 21:17
Localisation : Belgique

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Morlock » 08 août 2018, 17:53

Syd964 a écrit :
20 juin 2018, 08:37
Voici la réponse trouvée sur le Forum, j'ai longtemps galéré pour la faire fonctionner mais ça a fini par marcher :
Avec Putty en ligne de commande et en root, j'ai lancé :
sudo apt-get install libpcap-dev
Tout semble OK

Merci pour l'info :)
UdooX86 - Odroid C2 - RPI3 - RPI2 - DS415+
Z-Stick (GEN5) - RFXcom RFlink - Xiaomi home

Avatar de l’utilisateur
HollyFredD
Timide
Messages : 62
Inscription : 14 janv. 2018, 12:54

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par HollyFredD » 10 août 2018, 11:16

Bonjour,

Quelqu'un a-t-il le souci de certificat lors de l'installation des dépendances ?
J'ai souvent ce souci dès qu'un wget sur un site https est réalisé. Je dois alors ajouter l'option "--no-check-certificate".

Mais dans le cas présent, n'ayant pas la main sur la commande wget, je ne sais comment faire. Une idée ?

Code : Tout sélectionner

--2018-08-10 11:15:03--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Résolution de raw.githubusercontent.com (raw.githubusercontent.com)… 146.112.252.211, 146.112.252.218, 146.112.252.206, ...
Connexion à raw.githubusercontent.com (raw.githubusercontent.com)|146.112.252.211|:443… connecté.
Erreur : le certificat de « raw.githubusercontent.com » n'est pas de confiance.
Erreur : le certificat de « raw.githubusercontent.com » n'est pas d'un émetteur connu.
Fin de l'installation

Avatar de l’utilisateur
lunarok
Actif
Messages : 5989
Inscription : 08 août 2014, 12:48
Localisation : Anjou

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par lunarok » 10 août 2018, 11:39

Ça vient de chez toi. Je dirais que t'as un dns sur ton routeur ou autre et qu'il est capricieux (car c'est l'erreur classique d'un site non disponible et donc renvoi vers un hôte par défaut qui ne porte pas de certificat pour ce fqdn)

Envoyé de mon ONEPLUS A5010 en utilisant Tapatalk

Mon Blog | Xiaomi Home
Pour contribuer au développement des plugins (don ou achat de matériel) : Paypal
Aides nous à t'aider : les logs, détails du soucis, la doc, recherche sur le forum ...
PS : pas de support par MP, je ne répondrais pas

gcherel
Timide
Messages : 162
Inscription : 01 mai 2015, 15:19

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par gcherel » 10 août 2018, 11:44

Bonjour,
Suite à mon déménagement, j'ai désinscrit et réinitialisé mes dash button mais l'application Boutique Amazon refuse de les reconnaitre à nouveau. Quelqu'un a-t-il rencontré et résolu ce problème ? Merci.

Avatar de l’utilisateur
Jeandhom
Actif
Messages : 943
Inscription : 20 oct. 2015, 17:32

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jeandhom » 10 août 2018, 11:46

HollyFredD a écrit :
10 août 2018, 11:16
Bonjour,

Quelqu'un a-t-il le souci de certificat lors de l'installation des dépendances ?
J'ai souvent ce souci dès qu'un wget sur un site https est réalisé. Je dois alors ajouter l'option "--no-check-certificate".

Mais dans le cas présent, n'ayant pas la main sur la commande wget, je ne sais comment faire. Une idée ?

Code : Tout sélectionner

--2018-08-10 11:15:03--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Résolution de raw.githubusercontent.com (raw.githubusercontent.com)… 146.112.252.211, 146.112.252.218, 146.112.252.206, ...
Connexion à raw.githubusercontent.com (raw.githubusercontent.com)|146.112.252.211|:443… connecté.
Erreur : le certificat de « raw.githubusercontent.com » n'est pas de confiance.
Erreur : le certificat de « raw.githubusercontent.com » n'est pas d'un émetteur connu.
Fin de l'installation

Essaye en ssh

Code : Tout sélectionner

sudo apt-get install ca-certificates
Si le paquet est déjà installé

Code : Tout sélectionner

sudo apt-get update && sudo apt-get upgrade

Avatar de l’utilisateur
HollyFredD
Timide
Messages : 62
Inscription : 14 janv. 2018, 12:54

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par HollyFredD » 10 août 2018, 11:51

>>> Tout est OK pour moi. Ca marche. Merci messieurs

lunarok a écrit :
10 août 2018, 11:39
Ça vient de chez toi. Je dirais que t'as un dns sur ton routeur ou autre et qu'il est capricieux (car c'est l'erreur classique d'un site non disponible et donc renvoi vers un hôte par défaut qui ne porte pas de certificat pour ce fqdn)

Envoyé de mon ONEPLUS A5010 en utilisant Tapatalk
Thanks Lunarok, c'est effectivement peut etre une option car je protège mon browsing avec OpenDNS (Umbrella) qui peut proxifier les flux (et je pense que Github est par défaut proxifié). Je vais tenter de le désactiver le temps de l'installation des dépendances.

update: OK pour les dépendances. J'ai whitelisté raw.githubusercontent.com dans Umbrella et c'est passé !
Maintenant je bloque au lancement du démon qui reste en NOK... je vais devoir creuser encore un peu.
update2 : Le démon en NOK n'est pas redhibitoire... je viens d'ajouter mon premier bouton, ça marche nickel. TOP ! (il va me servir pour lancer l'aspirateur)
Jeandhom a écrit :
10 août 2018, 11:46

Essaye en ssh

Code : Tout sélectionner

sudo apt-get install ca-certificates
Si le paquet est déjà installé

Code : Tout sélectionner

sudo apt-get update && sudo apt-get upgrade
Je vais creuser cette piste également, merci Jeandhom pour ta réponse

update: avant de whitelister dans Umbrella j'ai tenté la première commande qui n'avait rien donné. J'avais également fait, il y a une heure, un update Debian comme tu le suggérais. La solution est donc passée par le whitelisting DNS.


NiC1305
Timide
Messages : 46
Inscription : 25 mai 2016, 17:29

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par NiC1305 » 16 août 2018, 22:45

Bonjour,

je viens d'installer le plugin, j'ai configuré 3 boutons (bien connectés au wifi et sans association de produit), j'ai mis les adresses mac et les dash visibles mais le démon refuse de se lancer.
Y a-t-il des points à vérifier ? j'ai réinstaller le plugin sur lui-même et relancer les dépendances, ca n'y change rien

D'avance merci
Nabaztag:tag (2)
Netatmo Thermostat connecté
Fibaro FGR-222 (2) / FGS-222
NodOn Soft Remote Cozy Zwave
Jeedom Mini+
Xiaomi Xiaoyi 720P / Yeelight / Contrôleurs

Avatar de l’utilisateur
HollyFredD
Timide
Messages : 62
Inscription : 14 janv. 2018, 12:54

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par HollyFredD » 16 août 2018, 23:07

Chez moi le démon reste en "NOK" Mais tout fonctionne nickel.

Tu as essayé de faire un scénario et ou de tester si ton bouton est bien visible lorsqu'il est actionné ?

Envoyé de mon ONEPLUS A6003 en utilisant Tapatalk


NiC1305
Timide
Messages : 46
Inscription : 25 mai 2016, 17:29

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par NiC1305 » 16 août 2018, 23:46

En fait la ligne "dernière activité" ne se met jamais à jour. Pourtant je vois bien le dash s'allumer dans ma freebox.
Quand je l'actionne la tuile sur le dashboard ne bouge pas, je pense qu'il n'est pas bien détecté

edit : le log dashbutton_node m'indique :

Code : Tout sélectionner

module.js:340
throw err;
^
Error: Cannot find module 'node-dash-button'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object.<anonymous> (/var/www/html/plugins/dashbutton/resources/dashbutton.js:1:81)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Function.Module.runMain (module.js:497:10)
Nabaztag:tag (2)
Netatmo Thermostat connecté
Fibaro FGR-222 (2) / FGS-222
NodOn Soft Remote Cozy Zwave
Jeedom Mini+
Xiaomi Xiaoyi 720P / Yeelight / Contrôleurs

FaFab
Timide
Messages : 51
Inscription : 01 mars 2017, 12:41

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par FaFab » 19 août 2018, 16:27

Bonjour,
Merci Lunarok pour ce plugin!
Je suis cependant un peu déçu car j'avais l'intention de le coller dans la douche et l'utiliser en tant que bouton "piste suivante" pour la musique.
Mais je m’aperçois que je suis obligé d'attendre 2min entre 2 appuis (le temps que le 1 revienne à 0)
C'est vraiment dommage (en plus le plugin voit bien tous les appuis cf son log)
Y'a vraiment aucun moyen de modifier ça?

PS: désolé; je n'ai pas lu les 56 pages, j'ai fais une recherche dans le sujet et j'ai trouvé une réponse de janvier 2017 qui dit que non, ce n'est pas possible. Mais depuis 1an et 1/2 ça a peut-être évolué?!

Merci pour vos retours
Jeedom: RPI3 + Z-Stick gen5 + Rfplayer
Control4 avec Vera pour la passerelle entre les 2

kerdale
Actif
Messages : 971
Inscription : 25 sept. 2016, 11:38
Localisation : Penn-ar-Bed

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par kerdale » 19 août 2018, 17:29

A priori cette tempo n'est pas due au plugin, mais au matos lui même. Destiné à l'origine à passer une commande à Amazon. La tempo est pour éviter que des petites mains passent commande de 3599 tube de dentifrice :D
1 NUC et 1 RPI3 V3.2.10, Dongles EnOcean, Z-wave,
Rflink, IPX800V3, carte 8 relais IP, IR_V3, Xiaomi gateway, JPI/APK sur tel Android dédié
Modules: Enocean, Somfy RTS, Rf433Mhz, Xiaomi, Bm280 (baro,Hydro,t°), Broadlink,

FaFab
Timide
Messages : 51
Inscription : 01 mars 2017, 12:41

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par FaFab » 20 août 2018, 01:24

Sur le principe pourquoi pas mais là, je ne pense pas car:
1) après un appui, quand le dash a fini de clignoter rouge. (quelques secondes plus tard) Si je ré-appui sur le dash, il reprend son cycle de clignotement de Led normalement. Cela veut dire qu'il prend bien en compte l'appui.
2) à chaque appui (hors cycle de clignotement de Led soit quelques secondes ) le plugin le voit bien passer. Cf Log.
Donc je pense que les "pare feu" multi appui sont gérés de manière logicielle dans les 2 cas (amazon et jeedom)

Me trompe-je ?

Envoyé de mon G8342 en utilisant Tapatalk

Jeedom: RPI3 + Z-Stick gen5 + Rfplayer
Control4 avec Vera pour la passerelle entre les 2

Avatar de l’utilisateur
lunarok
Actif
Messages : 5989
Inscription : 08 août 2014, 12:48
Localisation : Anjou

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par lunarok » 20 août 2018, 05:28

C'est dommage de refuser la réponse quand on te l'a donné.
Aucun 'parefeu' dans jeedom, tous les appuis émis par le bouton sont pris.

Envoyé de mon ONEPLUS A5010 en utilisant Tapatalk

Mon Blog | Xiaomi Home
Pour contribuer au développement des plugins (don ou achat de matériel) : Paypal
Aides nous à t'aider : les logs, détails du soucis, la doc, recherche sur le forum ...
PS : pas de support par MP, je ne répondrais pas

Avatar de l’utilisateur
Sabato
Timide
Messages : 250
Inscription : 23 janv. 2017, 11:25

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Sabato » 01 sept. 2018, 11:22

Bonjour,

j'ai voulu installé la nouvelle version du plugin. Pas de problème lors de la mise à jour par contre lors de l'installation des dépendances j'ai cet erreur :

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version (1.8.1-3).
0 upgraded, 0 newly installed, 0 to remove and 97 not upgraded.
--2018-09-01 09:15:07--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1458 (1.4K) [text/plain]
Saving to: ‘dependencies.sh’

     0K .                                                     100% 18.1M=0s

2018-09-01 09:15:07 (18.1 MB/s) - ‘dependencies.sh’ saved [1458/1458]

Nodejs non installé
Hit:1 http://www.deb-multimedia.org stretch InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Ign:3 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ InRelease
Hit:4 http://ftp.debian.org/debian stretch-updates InRelease
Get:5 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release [155 B]
Hit:6 http://ftp.debian.org/debian stretch-backports InRelease
Ign:7 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release.gpg
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:9 http://ftp.debian.org/debian stretch-proposed-updates InRelease
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Hit:11 http://ftp.debian.org/debian stretch Release
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:12 https://deb.nodesource.com/node_8.x stretch InRelease
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:13 https://oph.mdrjr.net/meveric all InRelease
Ign:10 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Hit:14 https://oph.mdrjr.net/meveric stretch InRelease
Hit:15 http://security.debian.org stretch/updates InRelease
Fetched 155 B in 3s (50 B/s)
Reading package lists...
W: The repository 'http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release' is not signed.
W: No Hash entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release
W: Invalid 'Date' entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version (9.20161125).
0 upgraded, 0 newly installed, 0 to remove and 97 not upgraded.
KO, version obsolète à upgrader
Suppression du Nodejs existant et installation du paquet recommandé
Reading package lists...
Building dependency tree...
Reading state information...
Package 'nodejs' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 97 not upgraded.
dependencies.sh: 32: [: aarch64: unexpected operator
Utilisation du dépot officiel

## Installing the NodeSource Node.js 8.x LTS Carbon repo...


## Populating apt-get cache...

+ apt-get update
Ign:1 http://ftp.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org stretch/updates InRelease
Hit:3 http://www.deb-multimedia.org stretch InRelease
Hit:4 http://ftp.debian.org/debian stretch-updates InRelease
Ign:5 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ InRelease
Get:6 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release [155 B]
Hit:7 http://ftp.debian.org/debian stretch-backports InRelease
Ign:8 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release.gpg
Hit:9 http://ftp.debian.org/debian stretch-proposed-updates InRelease
Hit:10 https://deb.nodesource.com/node_8.x stretch InRelease
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Hit:12 http://ftp.debian.org/debian stretch Release
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:11 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:13 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:14 https://oph.mdrjr.net/meveric all InRelease
Hit:15 https://oph.mdrjr.net/meveric stretch InRelease
Fetched 155 B in 3s (44 B/s)
Reading package lists...
W: The repository 'http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release' is not signed.
W: No Hash entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release
W: Invalid 'Date' entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release

## Confirming "stretch" is supported...

+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_8.x/dists/stretch/Release'

## Adding the NodeSource signing key to your keyring...

+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK

## Creating apt sources list file for the NodeSource Node.js 8.x LTS Carbon repo...

+ echo 'deb https://deb.nodesource.com/node_8.x stretch main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_8.x stretch main' >> /etc/apt/sources.list.d/nodesource.list

## Running `apt-get update` for you...

+ apt-get update
Hit:1 http://www.deb-multimedia.org stretch InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Hit:3 http://security.debian.org stretch/updates InRelease
Ign:4 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ InRelease
Get:5 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release [155 B]
Hit:6 http://ftp.debian.org/debian stretch-updates InRelease
Ign:7 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release.gpg
Hit:8 http://ftp.debian.org/debian stretch-backports InRelease
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Hit:10 https://deb.nodesource.com/node_8.x stretch InRelease
Hit:11 http://ftp.debian.org/debian stretch-proposed-updates InRelease
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Hit:13 http://ftp.debian.org/debian stretch Release
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:14 https://oph.mdrjr.net/meveric all InRelease
Ign:9 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en
Ign:12 http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Translation-en_US
Hit:15 https://oph.mdrjr.net/meveric stretch InRelease
Fetched 155 B in 2s (51 B/s)
Reading package lists...
W: The repository 'http://repo.jeedom.com/odroid/dists/stable/main/binary-arm64 ./ Release' is not signed.
W: No Hash entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release
W: Invalid 'Date' entry in Release file /var/lib/apt/lists/repo.jeedom.com_odroid_dists_stable_main_binary-arm64_._Release

## Run `sudo apt-get install -y nodejs` to install Node.js 8.x LTS Carbon and npm
## You may also need development tools to build native addons:
     sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
     curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
     echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
     sudo apt-get update && sudo apt-get install yarn
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  nodejs
0 upgraded, 1 newly installed, 0 to remove and 97 not upgraded.
Need to get 5,850 kB of archives.
After this operation, 34.9 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  nodejs
E: There were unauthenticated packages and -y was used without --allow-unauthenticated
dependencies.sh: 1: dependencies.sh: nodejs: not found
Version actuelle : 
dependencies.sh: 54: dependencies.sh: npm: not found
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation
je suis sous stretch , est-ce que ca vient de là?
Jeedom SMART zwave avec :
- 3xFibaro FGR222, 1xFGK-101, 1xFGMS-001-ZW5, 1xFGS-213
- Broadlink RM PRO
- Nest
- 4xDash button
- Gateway Xiaomi 3 sondes de T°,1 capteur d'ouverture
- 3xBandeau led yeelight xiaomi
- 2xNut mini
- 1xgoogle home et 1xmini

Répondre

Revenir vers « [Catégorie] Objets connectés »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités